Subject: guix system container --network fails b.c. of /etc/hosts
From: kabelomoiloa <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 27 Feb 2023 21:09:01 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

`guix describe` gives the following:

Generation 67   Feb 27 2023 17:41:15    (current)
  guix cf9e050
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: cf9e0508b26196dc985302776d860a0359652c59

Consider the system configuration given at this url: https://git.sr.ht/~elevenkb/dotfiles/blob/master/configs/11kb/guix-server.scm

If I run `sudo $(guix system container guix-server.scm)` then my container works, but if I run `sudo $(guix system container guix-server.scm --network)` then my container fails to work. I instead get an error which goes like this:

In unknown file:
           0 (copy-file "/etc/static/hosts" "/etc/hosts")

ERROR: In procedure copy-file:
In procedure copy-file: Read-only file system